API referenceBroadcasts

GET /broadcasts

Broadcasts with delivery stats

GET
/broadcasts

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

profileId?string

Profile

status?string

draft, scheduled, sending, completed, failed, cancelled

platform?string

whatsapp

accountId?string

Sending account

limit?integer

Page size

Range1 <= value
skip?integer

Items to skip

Range0 <= value

Response Body

{success, broadcasts, pagination}

application/json
  1. response
success?boolean
broadcasts?array<>
pagination?
Example Request
curl -X GET 'https://example.com/api/v1/broadcasts'
Example Response
{  "success": true,  "broadcasts": [    {      "id": "string",      "name": "string",      "description": "string",      "platform": "whatsapp",      "accountId": "string",      "accountName": "string",      "profileId": "string",      "status": "draft",      "template": {        "name": "string",        "language": "string",        "components": [          {}        ],        "variableMapping": {          "property1": {            "field": "name",            "customValue": "string"          },          "property2": {            "field": "name",            "customValue": "string"          }        }      },      "segmentFilters": {        "tags": [          "string"        ],        "isSubscribed": true,        "customFields": {}      },      "messagePreview": "string",      "scheduledAt": "2019-08-24T14:15:22Z",      "startedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "recipientCount": 0,      "sentCount": 0,      "deliveredCount": 0,      "readCount": 0,      "failedCount": 0,      "pendingCount": 0,      "lastError": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "total": 0,    "limit": 0,    "skip": 0,    "hasMore": true  }}